Not logged in. · Lost password · Register

All posts by HDL14 (10)

topic: accès http et https plugin erreur (erreurs en http pour certauins plugin : Warning: Declaration of syntax_plugin)  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #1
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
Hyper génial, la combinaison :
https://usbwebserver.yura.mk.ua/ une version : usbwebserver_v8.6.2.zip - PHP 7.1
et DW portable marche nickel
pour info à tous
topic: accès http et https plugin erreur (erreurs en http pour certauins plugin : Warning: Declaration of syntax_plugin)  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #2
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
In reply to post ID 67545
Subject: accès http et https plugin erreur
Non, non, je me suis mal exprimé, le greffon sync fonctionne très bien sur les 2 version de PHP.
Mais il y a des greffons à base de PHP 5 qui ne fonctionnent pas sur PHP 7 ET INVERSEMENT.
J'ai trouvé sur le site https://usbwebserver.yura.mk.ua/ une version : usbwebserver_v8.6.2.zip - PHP 7.1
(je l'ai passé sur VirusTotal, et c'est clean).
Je suis en cours de tests en la combinant avec une version de DW stick téléchargée sans la partie serveur.
topic: accès http et https plugin erreur (erreurs en http pour certauins plugin : Warning: Declaration of syntax_plugin)  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #3
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
In reply to post ID 67538
Subject: accès http et https plugin erreur
Merci schplurtz, mais je tombe maintenant sur un autre os :
Ok tout est Ok sur mon serveur (Synology) en http, https auto-signé, https orthodoxe en PHP 7

Manque de pot, le bundle Windows "portable dokuwiki" est en PHP 5.6.30.
Et j'utilise la merveilleuse extension Sync qui permet de préparer en "off-line" des pages et de les synchroniser postérieurement.
Ce qui fait que dans certains cas, c'est pas propre.
Est-il possible d'upgrater sur le bundle en PHP 7 ?
Merci encore
topic: accès http et https plugin erreur (erreurs en http pour certauins plugin : Warning: Declaration of syntax_plugin)  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #4
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
In reply to post ID 67530
Subject: accès http et https plugin erreur
Les pistes données m'ont énormément servies.
En activant les modules optionnels de PHP 7 tout se remet à fonctionner comme il faut (sauf les "vieux plugins).

Merci Merci
topic: accès http et https plugin erreur (erreurs en http pour certauins plugin : Warning: Declaration of syntax_plugin)  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #5
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
In reply to post ID 67525
Subject: accès http et https plugin erreur
UN grand Merci à tous, à Digitalin et à schplurtz.
Effectivement, grâce aux pistes données, en https (avec nom de domaine en https avec certificat en bon et due forme) je suis avec php 5.6.40 (qui marche bien).
Alors que en http et en https (avec certificat auto-signé, donc non totalement orthodoxe)alors je suis en php 7.0.33 et j'ai ces 5 erreurs sur les 5 plugins listés dans mon premier message.
CHOSE ENORMEMENT CURIEUSE : si je paramètre mon serveur pour qu'il utilise en https ssl (orthodoxe avec cerificat en bon et due forme) pour qu'il fonction en php 7.0.33 alors j'ai les messages suivants :
"SQLite & PDO SQLite support missing in the PHP install - plugin will not work"
"votre version de PHP semble ne pas prendre en charge SSL - Le téléchargement de nombreuses extensios va échouer"
Certes, je dois peut etre intégrer des options du php 7 pour que ça fonctionne mais lesquelles et pourquoi je n'en ai pas eu besoin pour php 5.6 ?
Est-ce que php 7.0.33 est bien compatible avec un https ssl orthhodoxe ?
Merci encore du suivre.
topic: accès http et https plugin erreur (erreurs en http pour certauins plugin : Warning: Declaration of syntax_plugin)  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #6
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
Subject: accès http et https plugin erreur
Lorsque j'accède à mon DokuWiki en https avec certificat SSL tout marche bien. (https://xxxx.com/dokuwiki)
Si j'y accède en http (http://ip_adresse/dokuwiki) alors un certain nombre de plugin sont en erreur :
Warning: Declaration of syntax_plugin_whoisonline::handle($match, $state, $pos, &$handler) should be compatible with DokuWiki_Syntax_Plugin::handle($match, $state, $pos, Doku_Handler $handler) in /volume1/web/dokuwiki/lib/plugins/whoisonline/syntax.php on line 0 Warning: Declaration of syntax_plugin_whoisonline::render($mode, &$renderer, $data) should be compatible with

et ce pour les plugins suivants :
whoisonline
ifauth
html5video
tooltip
imagecarousel

alors que tous les autres marchent bien.

Est-ce que quelqu'un aurait une idée du pourquoi ?

Merci énormément
topic: Message perturbant à l'ouverture du wiki pour les invités  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #7
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
In reply to post ID 67146
Connaîtriez vous une compétence à qui je pourrais acheter du consulting.
topic: Message perturbant à l'ouverture du wiki pour les invités  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #8
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
In reply to post ID 67136
Votre mot "upload" m'a mis sur la piste.
C'est l'extension upload Plugin Last updated on 2014-01-02
de By Christian Moll, Franz Häfner, Randolf Rotta, Matthias Schulte qui polluait le wiki.
Donc résolu grâce à votre piste

En revanche le fait de supprimer au lecture initiaux le droit de voir les anciennes version supprime aussi la fonction pour l'administrateur semble aussi perturbant, à moins que je ne fasse pas les choses dans l'orthodoxie.
topic: Message perturbant à l'ouverture du wiki pour les invités  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #9
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
In reply to post ID 67136
Merci énormément.
Absolument, y-a un truc qui cloche.
Mon Wiki est : elsenews.com
je ne comprends pas d'où vient cette demande automatique d'envoi de document.
Peut être une extension, j'ai commencé à en desable quelques unes.
Effectivement la piste que vous émettez du "Gestionnaire de média" est à explorer. Je vais faire le nettoyage des médias dans le gestionnaire de média.

Merci encore d'y avoir jeté un œil.

Un autre mystère pour moi est que dans le gestionnaire de configuration, dans la rubrique : Actions à désactiver dans DokuWiki
je déactive "anciennes révisions" par exemple, je n'y ai même plus accès en tant qu'administrateur.
topic: Message perturbant à l'ouverture du wiki pour les invités  in the forum: Non-English Discussion French discussion
Avatar
HDL14 #10
User title: HDL14
Member since Aug 2019 · 10 posts · Location: PARIS
Group memberships: Members
Show profile · Link to this post
Subject: Message perturbant à l'ouverture du wiki pour les invités
A la première page, bien que les ACL soient, semble-t-il, bien mis :
s'affiche ce message :

"L'envoi a échoué. Les autorisations sont-elles correctes ?"

Ce texte, quelqu'un saurait il, dans quel fichier de Dokuwiki, figure-t-il ?

Le modifier me suffirait.

Merci énormément si ......
Close Smaller – Larger + Reply to this post:
Special characters:
Special queries
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2020-01-19, 22:12:13 (UTC +01:00)